let Device = {
    device() {
      let device = {}
      let ua = navigator.userAgent;
      let android = ua.match(/(Android);?[\s/]+([\d.]+)?/);
      let ipad = ua.match(/(iPad).*OS\s([\d_]+)/);
      let iphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
      device.ios = device.android = device.iphone = device.ipad = false;
      device.os = 'web'
      if (android) {
        device.os = 'android';
        device.osVersion = android[2];
        device.android = true;
      }
      if (ipad || iphone) {
          device.os = 'iphone';
          device.ios = true;
      }
      // iOS
      if (iphone) {
          device.osVersion = iphone[2].replace(/_/g, '.');
          device.iphone = true;
      }
      if (ipad) {
          device.osVersion = ipad[2].replace(/_/g, '.');
          device.ipad = true;
      }
      // iOS changed UA
      if (device.ios && device.osVersion && ua.indexOf('Version/') >= 0) {
          if (device.osVersion.split('.')[0] === '10') {
              device.osVersion = ua.toLowerCase().split('version/')[1].split(' ')[0];
          }
      }

      return device
    }
}
export default Device.device()
